Bug 75029 - PHP with Apache 2.0: getlastmod function fails
PHP with Apache 2.0: getlastmod function fails
Status: CLOSED ERRATA
Product: Red Hat Linux
Classification: Retired
Component: php (Show other bugs)
8.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Joe Orton
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-10-03 16:41 EDT by Kevin Worthington
Modified: 2007-04-18 12:47 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-11-10 16:47:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kevin Worthington 2002-10-03 16:41:02 EDT
Description of Problem:
PHP (php-4.2.2-8.0.5) with Apache (httpd-2.0.40-8) fails when trying to use the
getlastmod function, which produces the "Last Modified: Time/date" info.

Version-Release number of selected component (if applicable):
php-4.2.2-8.0.5
httpd-2.0.40-8

How Reproducible:
Always

Steps to Reproduce:
1. have apache and php installed on Redhat Linux 8.0 (Psyche)
2. make a php page with: echo "Last modified: " . date ("D F d Y h:i:s A",
getlastmod());
3. View page in a web browser.

Actual Results:
generated page displays "Last modified: " (with no time and date info.)

Expected Results:
generated page displays "Last modified: Thu October 03 2002 04:03:09 PM" 

Additional Information:
A workaround is to do:
echo "Last modified: " . date("D F d Y h:i:s A",
filemtime($_SERVER["SCRIPT_FILENAME"]));
Comment 1 Joe Orton 2002-12-04 03:45:43 EST
This is fixed in php-4.2.2-10 - thanks for the report.
Comment 2 Mark J. Cox (Product Security) 2003-02-05 03:40:18 EST
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2003-017.html

Note You need to log in before you can comment on or make changes to this bug.